Subject: Re: mboned: FYI: Relayed Multicast Protocol

From: Toerless Eckert <[email-masked]>
Date: Wed, 16 Nov 2005 09:16:52 -0800

On Wed, Nov 16, 2005 at 12:01:11PM -0500, Jeremy Hall wrote:
> What? you've got to be kidding.

ITU ? never ! 

> What is this? inventing mrouted without any of the benefits? and no 
> bandwidth reservation or congestion control? How does it elect who gets to 
> pull what snippet from what person?

It's more scatter-gather type networking that was made popular by
all those p2p file sharing apps used to steal music ;-)

> How can this succeed?

They want to repeat the success model of Napster ?

But what i don't get: The text claims that the ITU thinks that
IP multicast is not applicable because of the unknown revenue model,
which is why access providers won't enable multicast. So instead you
need to screw around the network by .. scatter&gather apps. Obviously,
AMT would be the better way to screw around with the access providers not
willing to enable multicast, but:

Who the heck is working in he ITU nowadays ? Ok, i stopped looking at
them 10 years ago or so, whn i stopped doing X.25, but back then the ITU
primarily constituted of the big incumbant telco companies. Aka: the ones who
nowadays own 90++% of at least DSL access, aka: the ones who don't
grok on how to make money with multicast. ... So, he business model
for scatter-gather applications emulating napster is... which one ?

Wasn't this napster type of  of p2p applications the key reason why
deep packet inspecting products become successfull that are targeted to
inhibit exactly these type of apps.. and these are run by exactly the same
access provider folks that ? nowadays think the ITU should standardize on
a napster app ?

If this is supposed to make sense, then eiher i don't get it
(someone who can help me out here ?) or it's highly warped.

Cheers
	Toerless
> 
> _J
> 
> In the new year, David Meyer wrote:
> > 	pdf attached.
> > 
> > 	Dave
> > 
> > 
> > > > ITU Standardized Technology Set To Spawn New Era Web Broadcast
> > > >  _____
> > > >
> > > >With the popularity of blogs, podcasting and web-based photo  
> > > >libraries,
> > > >web content has become something much more accessible to the  
> > > >individual
> > > >in the last few years. Now video looks set to be the next media to  
> > > >gain
> > > >popularity with the new generation of home based media moguls.
> > > >
> > > >Work on a new protocol that may spawn a whole new generation of
> > > >independent broadcasters is underway at ITU. Relayed Multicast  
> > > >Protocol
> > > >(RMCP) being developed by the ITU's Study Group 17
> > > ><http://www.itu.int/ITU-T/studygroups/com17/mgmt.html>  uses something
> > > >like a peer-to-peer model meaning that independent broadcasters no
> > > >longer have to subscribe to a fat-pipe, instead relying on a  
> > > >collection
> > > >of 'peers' or 'relay agents', in other words other people's computers.
> > > >Peer to peer type traffic is reckoned to make-up as much as 72 per  
> > > >cent
> > > >of current Internet traffic. And this figure is predicted to rise.
> > > >
> > > >RMCP allows the live broadcast of video or audio piggy-backing off  
> > > >other
> > > >users (or servers). So in a scenario where 100 people are demanding a
> > > >live broadcast, instead of serving each one of these clients their own
> > > >video stream, only one stream has to be provided and each user will be
> > > >served from another in the network. This has significant implications
> > > >for instance for businesses broadcasting live events, where a previous
> > > >scenario demanded 100 users be fed individual feeds, RMCP allows the
> > > >broadcast of just one.
> > > >
> > > >Juyoung Park the editor of the ITU-T Recommendations says that RMCP
> > > >allows for the efficient serving of hundreds of thousands of
> > > >simultaneous connection requests.
> > > >
> > > >Park says that the need for this type of protocol was identified by
> > > >content providers. Standardization means that a single client can
> > > >receive content from any number of suppliers.
> > > >
> > > >An alternative solution - IP Multicast - is not applicable in today's
> > > >networks according to Park. For a start the success of IP Multicast
> > > >would mean router upgrades throughout a network, something that many
> > > >operators would balk at, especially given the unclear benefits of IP
> > > >Multicast to their revenue streams.
> > > >
> > > >Park says that tests by his organization - ETRI - have shown that  
> > > >speeds
> > > >of 2 Mbit/s are possible. This reflects standard broadcast rates.
> > > >However he says that typically users will experience something more  
> > > >like
> > > >640 Kbit/s.
> > > >
> > > >ITU-T has published one Recommendation (ITU-T Rec. X.603) on the topic
> > > >outlining requirements, framework etc. The next two Recommendations  
> > > >due
> > > >in 2006 will focus on the technical specifications. One focusing on  
> > > >one
> > > >broadcaster to many clients, and the other on many broadcasters to  
> > > >many
> > > >clients.
> > 
> > ----- End forwarded message -----
> 
> [Attachment, skipping...]
> 
> [application/pgp-signature is not supported, skipping...]
> 
> _______________________________________________________________
> user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
> web archive:  http://darkwing.uoregon.edu/~llynch/mboned/

-- 
Thanks
   Toerless Eckert
   
_______________________________________________________________
user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
web archive:  http://darkwing.uoregon.edu/~llynch/mboned/

---

From: David Meyer <[email-masked]>
Date: Wed, 16 Nov 2005 09:22:37 -0800

> (someone who can help me out here ?) or it's highly warped.

	A bit more on the technology can be found on 

http://www.watersprings.org/pub/id/draft-sjkoh-overlay-multicast-framework-00.txt

	and

http://kontiki.com/technology/print/Standards_based_Modular_Architecture.pdf

	Dave

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 16 Nov 2005 19:29:29 -0500

These people came to me circa 2001 IIRC. I  wasn't very impressed  
with the technology then, although we
did get some sort of demo going from Korea to MulticastTech. It is  
interesting that they seem to be going for ITU
standardization.

Regards
Marshall